<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>net.lotte.chamomile.boot</groupId>
    <artifactId>chamomile-boot-starter-parent</artifactId>
    <version>3.0.1.0</version>
  </parent>

  <groupId>com</groupId>
  <artifactId>demo1</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <description>스프링 시큐리티 session 로그인 rest 샘플</description>

  <repositories>
    <repository>
      <id>chamomile</id>
      <name>chamomile</name>
      <url>https://chamomile.ldcc.co.kr/nexus/repository/maven-public/</url>
    </repository>
  </repositories>

  <properties>
    <java.version>1.8</java.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
  </properties>

  <dependencies>
    <!--Chamomile Dependecies-->
	<dependency>
		<groupId>net.lotte.chamomile.module</groupId>
		<artifactId>chamomile-file</artifactId>
	</dependency>
	<dependency>
	  <groupId>net.lotte.chamomile.module</groupId>
	  <artifactId>chamomile-file-excel</artifactId>
	</dependency>
    <dependency>
      <groupId>net.lotte.chamomile</groupId>
      <artifactId>chamomile-core</artifactId>
    </dependency>
    <dependency>
      <groupId>net.lotte.chamomile.boot</groupId>
      <artifactId>chamomile-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>net.lotte.chamomile.module</groupId>
      <artifactId>chamomile-database</artifactId>
    </dependency>
    <dependency>
      <groupId>net.lotte.chamomile.module</groupId>
      <artifactId>chamomile-database-audit</artifactId>
    </dependency>
    <dependency>
      <groupId>net.lotte.chamomile.module</groupId>
      <artifactId>chamomile-web</artifactId>
    </dependency>
    <dependency>
      <groupId>net.lotte.chamomile.module</groupId>
      <artifactId>chamomile-security-jwt</artifactId>
    </dependency>


		<!--Spring Dependecies-->
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-log4j2</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-web</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-security</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springdoc</groupId>
      <artifactId>springdoc-openapi-ui</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter</artifactId>
      <exclusions>
        <exclusion>
          <groupId>org.springframework.boot</groupId>
          <artifactId>spring-boot-starter-logging</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.mysql</groupId>
      <artifactId>mysql-connector-j</artifactId>
    </dependency>


		<!-- Test Dependencies -->
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-test</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-test</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.h2database</groupId>
      <artifactId>h2</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <scope>provided</scope>
    </dependency>

  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
      </plugin>
    </plugins>
  </build>

</project>
